MODULE dom_ice
   !!======================================================================
   !!             ***  MODULE  dom_ice  ***
   !!                   Sea Ice Domain  
   !!======================================================================
   !!
   !! ** Purpose :
   !!       - Define in memory coefficients of Sea Ice model
   !!
   !! History :
   !!   2.0  !  03-08  (C. Ethe)  Free form and module
   !! * Modules used
   USE par_ice

   IMPLICIT NONE

   !!----------------------------------------------------------------------
   !!  LIM 2.0, UCL-LODYC-IPSL (2002)
   !!----------------------------------------------------------------------

   REAL(wp),DIMENSION(jpi,jpj) ::  &  
      area          ! Surface of a grid square
 

   REAL(wp),DIMENSION(jpi,jpj,2,2) ::  &
      wght   ,   &  ! weight of the 4 neighbours to compute averages
      akappa ,   &  ! first group of metric coefficients
      bkappa        ! third group of metric coefficients

   REAL(wp),DIMENSION(jpi,jpj) :: &
      tms  ,tmu     ! masks arrays

   REAL(wp),DIMENSION(jpi,jpj,2,2,2,2) ::  &
      alambd        ! second group of metric coefficients

   REAL(wp) ::  &
      dz            ! depht of the 1st ocean level

   REAL(wp),DIMENSION(jpi,jpj) ::  &  
      fs2cor ,   &  !  coriolis factor
      fcor   ,   &  !  coriolis coefficient
      covrai ,   &  !  sine of geographic latitude
      aire          !  total area 

   INTEGER  :: &
      jeq , jeqm1

   !!======================================================================
END MODULE dom_ice
